%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major	0
%define api	1.0
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d

Name:           gitg
Version:        0.2.7
Release:        %mkrel 4
Summary:        GTK+ graphical interface for the git revision control system
Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://trac.novowork.com/gitg
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.26
BuildRequires:	pkgconfig(gladeui-2.0) >= 3.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.26
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.26
BuildRequires:	pkgconfig(gobject-2.0) >= 2.26
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.26
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.1.3
Requires:       git-core
Requires:       gsettings-desktop-schemas

%description
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %{libname}
Summary:        Backend Library for gitg
Group:          System/Libraries

%description -n %{libname}
libgitg is a GObject based library that provides an easy access to git methods
through GObject based methods

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-compile \
	--disable-rpath \
	--enable-compile-warnings=minimum
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_datadir}/applications/%{name}.desktop

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{devname}
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc
%{_includedir}/lib%{name}-%{api}/


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.7-4.mga4
+ Revision: 533974
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 wally <wally> 0.2.7-3.mga4
+ Revision: 475872
- fix build with latest gtk
- drop glade catalog

* Tue May 28 2013 fwang <fwang> 0.2.7-2.mga4
+ Revision: 429064
- rebuild for new gtksourceview

* Thu May 23 2013 wally <wally> 0.2.7-1.mga4
+ Revision: 425045
- new version 0.2.7

* Fri Mar 29 2013 wally <wally> 0.2.6-1.mga3
+ Revision: 406473
- new version 0.2.6

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-3.mga3
+ Revision: 351582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 wally <wally> 0.2.5-2.mga3
+ Revision: 298988
- require git-core instead of git (mga#7607)
- fix source url

  + tv <tv>
    - clean spec

* Fri Sep 02 2011 wally <wally> 0.2.5-1.mga2
+ Revision: 137897
- imported package gitg

